## ros-dashing-rosbridge-server 1.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rosbridge_server NONE)

find_package(ament_cmake_core REQUIRED)
find_package(ament_cmake_python REQUIRED)

ament_python_install_package(
  ${PROJECT_NAME} PACKAGE_DIR "src/${PROJECT_NAME}")

ament_package()

install(PROGRAMS
  scripts/rosbridge_websocket.py
  scripts/rosbridge_websocket
  scripts/rosbridge_tcp.py
  scripts/rosbridge_tcp
  scripts/rosbridge_udp
  scripts/rosbridge_udp.py
  DESTINATION lib/${PROJECT_NAME}
)

install(FILES
  launch/rosbridge_websocket_launch.xml
  launch/rosbridge_tcp_launch.xml
  launch/rosbridge_udp_launch.xml
  DESTINATION share/${PROJECT_NAME}/launch
)

=== debian/changelog ===
ros-dashing-rosbridge-server (1.0.2-1bionic) bionic; urgency=high

  * use Python 3 dependency keys (#436 <https://github.com/RobotWebTools/rosbridge_suite/issues/436>)

 -- Russell Toris <rctoris@wpi.edu>  Tue, 24 Sep 2019 07:00:00 -0000

ros-dashing-rosbridge-server (1.0.1-1bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 20 Sep 2019 07:00:00 -0000

ros-dashing-rosbridge-server (1.0.0-1bionic) bionic; urgency=high

  * Port to ROS 2

 -- Russell Toris <rctoris@wpi.edu>  Thu, 19 Sep 2019 07:00:00 -0000

ros-dashing-rosbridge-server (0.11.3-1bionic) bionic; urgency=high

  * Fixes #418 <https://github.com/RobotWebTools/rosbridge_suite/issues/418>: WebSocketClosedError Spam (#423 <https://github.com/RobotWebTools/rosbridge_suite/issues/423>)
    * not raising WebSocketClosedError for old tornado versions
  * Contributors: lennartdopatka

 -- Russell Toris <rctoris@wpi.edu>  Wed, 07 Aug 2019 07:00:00 -0000

ros-dashing-rosbridge-server (0.11.2-1bionic) bionic; urgency=high

  * yield infinite lock (#413 <https://github.com/RobotWebTools/rosbridge_suite/issues/413>)
  * Add settings for websocket timeout (#410 <https://github.com/RobotWebTools/rosbridge_suite/issues/410>)
    * Add settings for websocket timeout
    * Error handling of StreamClosedError
  * Contributors: Aurélien Labate

 -- Russell Toris <rctoris@wpi.edu>  Mon, 08 Jul 2019 07:00:00 -0000

ros-dashing-rosbridge-server (0.11.1-1bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 08 May 2019 07:00:00 -0000

ros-dashing-rosbridge-server (0.11.0-1bionic) bionic; urgency=high

  * Additional client information websocket (#393 <https://github.com/RobotWebTools/rosbridge_suite/issues/393>)
    * Add package rosbridge_msgs.
    * rosbridge_server: Publish additional information about connected clients.
    * rosbridge_server: Make ClientManager's add_client/remove_client methods thread safe.
    * rosbridge_server: Rm unnecessary publishing.
    * rosbridge_msgs: Cleanup/fix dependencies.
  * Handle BadYieldError in Tornado <4.5.0 (#395 <https://github.com/RobotWebTools/rosbridge_suite/issues/395>)
  * Contributors: Hans-Joachim Krauch, Matt Vollrath

 -- Russell Toris <rctoris@wpi.edu>  Fri, 29 Mar 2019 07:00:00 -0000

ros-dashing-rosbridge-server (0.10.2-1bionic) bionic; urgency=high

  * Log Tornado handler exceptions (#386 <https://github.com/RobotWebTools/rosbridge_suite/issues/386>)
    * Decorate most handlers which were previously failing silently.
    * Use a try block in the @coroutine, it refused double decoration.
    * Always raise after logging, so Tornado sees the Exception too.
    * Only warn when racing to write to a closed WebSocket.
  * Synchronous websocket write (#385 <https://github.com/RobotWebTools/rosbridge_suite/issues/385>)
    Fixes #212 <https://github.com/RobotWebTools/rosbridge_suite/issues/212>
  * Contributors: Matt Vollrath

 -- Russell Toris <rctoris@wpi.edu>  Mon, 04 Mar 2019 08:00:00 -0000

ros-dashing-rosbridge-server (0.10.1-1bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Sun, 16 Dec 2018 08:00:00 -0000

ros-dashing-rosbridge-server (0.10.0-1bionic) bionic; urgency=high

  * CBOR encoding (#364 <https://github.com/RobotWebTools/rosbridge_suite/issues/364>)
    * Add CBOR encoding
    * Fix value extraction performance regression
    Extract message values once per message.
    * Fix typed array tags
    Was using big-endian tags and encoding little-endian.
    Always use little-endian for now since Intel is prevalent for desktop.
    Add some comments to this effect.
    * Update CBOR protocol documentation
    More information about draft typed arrays and when to use CBOR.
    * Fix 64-bit integer CBOR packing
    Use an actual 64-bit format.
  * Add param to enable ws per-message deflate (#365 <https://github.com/RobotWebTools/rosbridge_suite/issues/365>)
    * Add param to enable ws per-message deflate
    Tornado has its own per-message deflate compression option, which
    compresses each WebSocket message.  The compression level should be
    roughly equivalent to PNG compression, depending on whether the message is
    JSON or binary (CBOR).  The encoding/decoding time will be much faster
    than protocol PNG compression.
    This param should be enabled when wire size is important, e.g. not
    connecting to localhost.
  * rosbridge_server: Publish number of connected clients on latched topic. (#359 <https://github.com/RobotWebTools/rosbridge_suite/issues/359>)
  * Fix a few problems (#350 <https://github.com/RobotWebTools/rosbridge_suite/issues/350>)
    * xrange is not available in Python3, range works for both Python versions
    * the variable v is undefined in search_param, comparing the implementation with the sibling functions I expect name to be the intended variable
    * The module udp_handler is using the Authentication service but wasn't importing the module
  * use package format 2, remove unnecessary dependencies (#348 <https://github.com/RobotWebTools/rosbridge_suite/issues/348>)
  * Adding bson support for websockets (#327 <https://github.com/RobotWebTools/rosbridge_suite/issues/327>)
    * removed message that bson isn't supported. setting the bson only mode class attribute
    * added auth package inspection for bson only mode
  * Contributors: Dirk Thomas, Hans-Joachim Krauch, Matt Vollrath, Sanic

 -- Russell Toris <rctoris@wpi.edu>  Fri, 14 Dec 2018 08:00:00 -0000

ros-dashing-rosbridge-server (0.9.0-1bionic) bionic; urgency=high

  * Make unregister_timeout configurable (#322 <https://github.com/RobotWebTools/rosbridge_suite/issues/322>)
    Pull request #247 <https://github.com/RobotWebTools/rosbridge_suite/issues/247> introduces a 10 second delay to mitigate issue #138 <https://github.com/RobotWebTools/rosbridge_suite/issues/138>.
    This change makes this delay configurable by passing an argument either
    on the command line or when including a launch file.
    Usage example:
    ```xml


=== debian/control ===
Source: ros-dashing-rosbridge-server
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ros-workspace
Homepage: http://ros.org/wiki/rosbridge_server
Standards-Version: 3.9.2

Package: ros-dashing-rosbridge-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-tornado, python3-twisted, ros-dashing-rclpy, ros-dashing-rosapi, ros-dashing-rosauth, ros-dashing-rosbridge-library, ros-dashing-rosbridge-msgs, ros-dashing-ros-workspace
Description: A WebSocket interface to rosbridge.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-rosbridge-server//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
